# Fused Unbalanced Gromov Wasserstein - Neurips archive

In this archive, we provide:

- an appendix to our previously submitted paper in `./appendix.pdf`
- an anonymized git repository containing the solver presented in the paper as well as a wrapper class in order to use it as a scikit transformer in `./fugw`
- the code used to generate the toy example from the paper in `./plot_toy_example.py`

If you want to run this code, we recommand you:

- setup a new conda environment `conda create -n test_fugw python=3.9`
- install `fugw` in this environment (follow instructions from `fugw/README.md`)
- run or have a look at the test file `fugw/tests/test_fugw.py` to understand how the transformer API works
- run the toy example (1+ hour compute time on CPU, 1 minute on GPU) (you'll need to install `vedo` and `pickle` in your conda env)
